;=======================================
;  CVASM16 INCLUDE FILE for the 10F204
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F204h      
                     ROMSIZE    256         
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
GPIO                 EQU        0006h       
CMCON0               EQU        0007h       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
GPWUF                EQU        STATUS.7    
CWUF                 EQU        STATUS.6    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL6                 EQU        OSCCAL.7    
CAL5                 EQU        OSCCAL.6    
CAL4                 EQU        OSCCAL.5    
CAL3                 EQU        OSCCAL.4    
CAL2                 EQU        OSCCAL.3    
CAL1                 EQU        OSCCAL.2    
CAL0                 EQU        OSCCAL.1    
FOSC4                EQU        OSCCAL.0    


;=======================================
;  CMCON0 Register BIT Definitions 
;=======================================
CMPOUT               EQU        CMCON0.7    
NOT_COUTEN           EQU        CMCON0.6    
POL                  EQU        CMCON0.5    
NOT_CMPT0CS          EQU        CMCON0.4    
CMPON                EQU        CMCON0.3    
CNREF                EQU        CMCON0.2    
CPREF                EQU        CMCON0.1    
NOT_CWU              EQU        CMCON0.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FEFh       
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_IntRC_OSC           EQU        0FFFh

