;=======================================
;  CVASM16 INCLUDE FILE for the 14000
;      Copyright (c) 2001 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04/23/01
;=======================================

                     DEVCODE    00014h      
                     ROMSIZE    4032        
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    1           
                     MAXTRIS    0008        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PORTD                EQU        0008h       
; RD                 EQU        0008h       ;  backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
ADTMRL               EQU        000Eh       
ADTMRH               EQU        000Fh       
I2CBUF               EQU        0013h       
I2CCON               EQU        0014h       
ADCAPL               EQU        0015h       
ADCAPH               EQU        0016h       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISC                EQU        0087h       
TRISD                EQU        0088h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
SLPCON               EQU        008Fh       
I2CADD               EQU        0093h       
I2CSTAT              EQU        0094h       
LDACA                EQU        009Bh       
PREFA                EQU        009Bh       
LDACB                EQU        009Ch       
PREFB                EQU        009Ch       
CHGCON               EQU        009Dh       
CMCON                EQU        009Dh       
MISC                 EQU        009Eh       
ADCON1               EQU        009Fh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
T0IF                 EQU        INTCON.2    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
WUIF                 EQU        PIR1.7      
CMIF                 EQU        PIR1.7      
PBIF                 EQU        PIR1.4      
I2CIF                EQU        PIR1.3      
RCIF                 EQU        PIR1.2      
ADCIF                EQU        PIR1.1      
OVFIF                EQU        PIR1.0      


;=======================================
;  I2CCON Register BIT Definitions 
;=======================================
WCOL                 EQU        I2CCON.7    
I2COV                EQU        I2CCON.6    
I2CEN                EQU        I2CCON.5    
CKP                  EQU        I2CCON.4    
I2CM3                EQU        I2CCON.3    
I2CM2                EQU        I2CCON.2    
I2CM1                EQU        I2CCON.1    
I2CM0                EQU        I2CCON.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS3                EQU        ADCON0.7    
ADCS2                EQU        ADCON0.6    
ADCS1                EQU        ADCON0.5    
ADCS0                EQU        ADCON0.4    
AMUXOE               EQU        ADCON0.2    
ADRST                EQU        ADCON0.1    
ADZERO               EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RCPU             EQU        OPTION_REG.7
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
WUIE                 EQU        PIE1.7      
CMIE                 EQU        PIE1.7      
PBIE                 EQU        PIE1.4      
I2CIE                EQU        PIE1.3      
RCIE                 EQU        PIE1.2      
ADCIE                EQU        PIE1.1      
OVFIE                EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
NOT_POR              EQU        PCON.1      
NOT_LVD              EQU        PCON.0      
HIBEN                EQU        PCON.7      
REFOFF               EQU        PCON.5      
BIASOFF              EQU        PCON.4      
LSOFF                EQU        PCON.4      
OSCOFF               EQU        PCON.3      
CWUOFF               EQU        PCON.2      
CMOFF                EQU        PCON.2      
TEMPOFF              EQU        PCON.1      
ADOFF                EQU        PCON.0      


;=======================================
;  I2CSTAT Register BIT Definitions 
;=======================================
D                    EQU        I2CSTAT.5   
I2C_DATA             EQU        I2CSTAT.5   
NOT_A                EQU        I2CSTAT.5   
NOT_ADDRESS          EQU        I2CSTAT.5   
D_A                  EQU        I2CSTAT.5   
DATA_ADDRESS         EQU        I2CSTAT.5   
P                    EQU        I2CSTAT.4   
I2C_STOP             EQU        I2CSTAT.4   
S                    EQU        I2CSTAT.3   
I2C_START            EQU        I2CSTAT.3   
R                    EQU        I2CSTAT.2   
I2C_READ             EQU        I2CSTAT.2   
NOT_W                EQU        I2CSTAT.2   
NOT_WRITE            EQU        I2CSTAT.2   
R_W                  EQU        I2CSTAT.2   
READ_WRITE           EQU        I2CSTAT.2   
UA                   EQU        I2CSTAT.1   
BF                   EQU        I2CSTAT.0   
CCOMPB               EQU        I2CSTAT.6   
CMBOUT               EQU        I2CSTAT.6   
CCBEN                EQU        I2CSTAT.5   
CMBOE                EQU        I2CSTAT.5   
CPOLB                EQU        I2CSTAT.4   
CCOMPA               EQU        I2CSTAT.2   
CMAOUT               EQU        I2CSTAT.2   
CCAEN                EQU        I2CSTAT.1   
CMAOE                EQU        I2CSTAT.1   
CPOLA                EQU        I2CSTAT.0   


;=======================================
;  MISC Register BIT Definitions 
;=======================================
SMHOG                EQU        MISC.7      
SPGNDB               EQU        MISC.6      
SPGNDA               EQU        MISC.5      
I2CSEL               EQU        MISC.4      
SMBUS                EQU        MISC.3      
INCLKEN              EQU        MISC.2      
OSC2                 EQU        MISC.1      
OSC1                 EQU        MISC.0      


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
ADDAC3               EQU        ADCON1.7    
ADDAC2               EQU        ADCON1.6    
ADDAC1               EQU        ADCON1.5    
ADDAC0               EQU        ADCON1.4    
ACFG3                EQU        ADCON1.3    
PCFG3                EQU        ADCON1.3    
ACFG2                EQU        ADCON1.2    
PCFG2                EQU        ADCON1.2    
ACFG1                EQU        ADCON1.1    
ACFG1                EQU        ADCON1.1    
ACFG0                EQU        ADCON1.0    
ACFG0                EQU        ADCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_CPC_ON              EQU        1E7Fh       
_CPC_OFF             EQU        3FFFh       
_CPU_ON              EQU        2DDFh       
_CPU_OFF             EQU        3FFFh       
_CPP_ON              EQU        33EFh       
_CPP_OFF             EQU        3FFFh       
_PWRTE_ON            EQU        3FF7h       
_PWRTE_OFF           EQU        3FFFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FFBh       
_FOSC_HS             EQU        3FFEh       
_FOSC_RC             EQU        3FFFh       
