;=======================================
;  CVASM16 INCLUDE FILE for the 16F506
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F506h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    1           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
CM1CON0              EQU        0008h       
ADCON0               EQU        0009h       
ADRES                EQU        000Ah       
CM2CON0              EQU        000Bh       
VRCON                EQU        000Ch       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
RBWUF                EQU        STATUS.7    
CWUF                 EQU        STATUS.6    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL6                 EQU        OSCCAL.7    
CAL5                 EQU        OSCCAL.6    
CAL4                 EQU        OSCCAL.5    
CAL3                 EQU        OSCCAL.4    
CAL2                 EQU        OSCCAL.3    
CAL1                 EQU        OSCCAL.2    
CAL0                 EQU        OSCCAL.1    


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1OUT                EQU        CM1CON0.7   
NOT_C1OUTEN          EQU        CM1CON0.6   
C1POL                EQU        CM1CON0.5   
NOT_C1T0CS           EQU        CM1CON0.4   
C1ON                 EQU        CM1CON0.3   
C1NREF               EQU        CM1CON0.2   
C1PREF               EQU        CM1CON0.1   
NOT_C1WU             EQU        CM1CON0.0   


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ANS1                 EQU        ADCON0.7    
ANS0                 EQU        ADCON0.6    
ADCS1                EQU        ADCON0.5    
ADCS0                EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  CM2CON0 Register BIT Definitions 
;=======================================
C2OUT                EQU        CM2CON0.7   
NOT_C2OUTEN          EQU        CM2CON0.6   
C2POL                EQU        CM2CON0.5   
C2PREF2              EQU        CM2CON0.4   
C2ON                 EQU        CM2CON0.3   
C2NREF               EQU        CM2CON0.2   
C2PREF1              EQU        CM2CON0.1   
NOT_C2WU             EQU        CM2CON0.0   


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VROE                 EQU        VRCON.6     
VRR                  EQU        VRCON.5     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  PORTB Register BIT Definitions 
;=======================================
RB0                  EQU        PORTB.0     
RB1                  EQU        PORTB.1     
RB2                  EQU        PORTB.2     
RB3                  EQU        PORTB.3     
RB4                  EQU        PORTB.4     
RB5                  EQU        PORTB.5     


;=======================================
;  PORTC Register BIT Definitions 
;=======================================
RC0                  EQU        PORTC.0     
RC1                  EQU        PORTC.1     
RC2                  EQU        PORTC.2     
RC3                  EQU        PORTC.3     
RC4                  EQU        PORTC.4     
RC5                  EQU        PORTC.5     


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_IOSCFS_ON           EQU        0FFFh       
_IOSCFS_OFF          EQU        0FBFh       
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FDFh       
_CP_ON               EQU        0FEFh       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FF7h       
_LP_OSC              EQU        0FF8h       
_XT_OSC              EQU        0FF9h       
_HS_OSC              EQU        0FFAh       
_EC_OSC              EQU        0FFBh       
_IntRC_OSC_RB4EN     EQU        0FFCh       
_IntRC_OSC_CLKOUTEN  EQU        0FFDh       
_ExtRC_OSC_RB4EN     EQU        0FFEh       
_ExtRC_OSC_CLKOUTEN  EQU        0FFFh       
