;=======================================
;  CVASM16 INCLUDE FILE for the 16F688
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F688h      
                     ROMSIZE    4096        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    1           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
BAUDCTL              EQU        0011h       
SPBRGH               EQU        0012h       
SPBRG                EQU        0013h       
RCREG                EQU        0014h       
TXREG                EQU        0015h       
TXSTA                EQU        0016h       
RCSTA                EQU        0017h       
WDTCON               EQU        0018h       
CMCON0               EQU        0019h       
CMCON1               EQU        001Ah       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISC                EQU        0087h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
ANSEL                EQU        0091h       
WPU                  EQU        0095h       
WPUA                 EQU        0095h       
IOC                  EQU        0096h       
IOCA                 EQU        0096h       
EEDATH               EQU        0097h       
EEADRH               EQU        0098h       
VRCON                EQU        0099h       
EEDAT                EQU        009Ah       
EEDATA               EQU        009Ah       
EEADR                EQU        009Bh       
EECON1               EQU        009Ch       
EECON2               EQU        009Dh       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RAIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RAIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
EEIF                 EQU        PIR1.7      
ADIF                 EQU        PIR1.6      
RCIF                 EQU        PIR1.5      
C2IF                 EQU        PIR1.4      
C1IF                 EQU        PIR1.3      
OSFIF                EQU        PIR1.2      
TXIF                 EQU        PIR1.1      
T1IF                 EQU        PIR1.0      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  BAUDCTL Register BIT Definitions 
;=======================================
ABDOVF               EQU        BAUDCTL.7   
RCIDL                EQU        BAUDCTL.6   
SCKP                 EQU        BAUDCTL.4   
BRG16                EQU        BAUDCTL.3   
WUE                  EQU        BAUDCTL.1   
ABDEN                EQU        BAUDCTL.0   


;=======================================
;  TXSTA Register BIT Definitions 
;=======================================
CSRC                 EQU        TXSTA.7     
TX9                  EQU        TXSTA.6     
TXEN                 EQU        TXSTA.5     
SYNC                 EQU        TXSTA.4     
SENDB                EQU        TXSTA.3     
BRGH                 EQU        TXSTA.2     
TRMT                 EQU        TXSTA.1     
TX9D                 EQU        TXSTA.0     


;=======================================
;  RCSTA Register BIT Definitions 
;=======================================
SPEN                 EQU        RCSTA.7     
RX9                  EQU        RCSTA.6     
SREN                 EQU        RCSTA.5     
CREN                 EQU        RCSTA.4     
ADDEN                EQU        RCSTA.3     
FERR                 EQU        RCSTA.2     
OERR                 EQU        RCSTA.1     
RX9D                 EQU        RCSTA.0     
WDTPS3               EQU        RCSTA.4     
WDTPS2               EQU        RCSTA.3     
WDTPS1               EQU        RCSTA.2     
WDTPS0               EQU        RCSTA.1     
SWDTEN               EQU        RCSTA.0     


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON0.7    
VCFG                 EQU        ADCON0.6    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RAPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
EEIE                 EQU        PIE1.7      
ADIE                 EQU        PIE1.6      
RCIE                 EQU        PIE1.5      
C2IE                 EQU        PIE1.4      
C1IE                 EQU        PIE1.3      
OSFIE                EQU        PIE1.2      
TXIE                 EQU        PIE1.1      
T1IE                 EQU        PIE1.0      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
ULPWUE               EQU        PCON.5      
SBODEN               EQU        PCON.4      
NOT_POR              EQU        PCON.1      
NOT_BOD              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  ANSEL Register BIT Definitions 
;=======================================
ANS7                 EQU        ANSEL.7     
ANS6                 EQU        ANSEL.6     
ANS5                 EQU        ANSEL.5     
ANS4                 EQU        ANSEL.4     
ANS3                 EQU        ANSEL.3     
ANS2                 EQU        ANSEL.2     
ANS1                 EQU        ANSEL.1     
ANS0                 EQU        ANSEL.0     


;=======================================
;  IOC Register BIT Definitions 
;=======================================
IOC5                 EQU        IOC.5       
IOC4                 EQU        IOC.4       
IOC3                 EQU        IOC.3       
IOC2                 EQU        IOC.2       
IOC1                 EQU        IOC.1       
IOC0                 EQU        IOC.0       


;=======================================
;  IOCA Register BIT Definitions 
;=======================================
IOCA5                EQU        IOCA.5      
IOCA4                EQU        IOCA.4      
IOCA3                EQU        IOCA.3      
IOCA2                EQU        IOCA.2      
IOCA1                EQU        IOCA.1      
IOCA0                EQU        IOCA.0      


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VRR                  EQU        VRCON.5     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  EECON1 Register BIT Definitions 
;=======================================
EEPGD                EQU        EECON1.7    
WRERR                EQU        EECON1.3    
WREN                 EQU        EECON1.2    
WR                   EQU        EECON1.1    
RD                   EQU        EECON1.0    


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
ADCS2                EQU        ADCON1.6    
ADCS1                EQU        ADCON1.5    
ADCS0                EQU        ADCON1.4    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOD_ON              EQU        3FFFh       
_BOD_NSLEEP          EQU        3EFFh       
_BOD_SBODEN          EQU        3DFFh       
_BOD_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_INTOSCIO            EQU        3FFCh       
_INTOSC              EQU        3FFDh       
_EXTRCIO             EQU        3FFEh       
_EXTRC               EQU        3FFFh       
