;=======================================
;  CVASM16 INCLUDE FILE for the 16F916
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F916h      
                     ROMSIZE    8192        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    2           
                     MAXTRIS    0009        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PORTE                EQU        0009h       
RE                   EQU        0009h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
PIR2                 EQU        000Dh       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
SSPBUF               EQU        0013h       
SSPCON               EQU        0014h       
CCPR1L               EQU        0015h       
CCPR1H               EQU        0016h       
CCP1CON              EQU        0017h       
RCSTA                EQU        0018h       
TXREG                EQU        0019h       
RCREG                EQU        001Ah       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
TRISC                EQU        0087h       
TRISE                EQU        0089h       
PIE1                 EQU        008Ch       
PIE2                 EQU        008Dh       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
ANSEL                EQU        0091h       
PR2                  EQU        0092h       
SSPADD               EQU        0093h       
SSPSTAT              EQU        0094h       
WPUB                 EQU        0095h       
WPU                  EQU        0095h       
IOCB                 EQU        0096h       
IOC                  EQU        0096h       
CMCON1               EQU        0097h       
TXSTA                EQU        0098h       
SPBRG                EQU        0099h       
CMCON0               EQU        009Ch       
VRCON                EQU        009Dh       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       
WDTCON               EQU        0105h       
LCDCON               EQU        0107h       
LCDPS                EQU        0108h       
LVDCON               EQU        0109h       
EEDATL               EQU        010Ch       
EEADRL               EQU        010Dh       
EEDATH               EQU        010Eh       
EEADRH               EQU        010Fh       
LCDDATA0             EQU        0110h       
LCDDATA1             EQU        0111h       
LCDDATA3             EQU        0113h       
LCDDATA4             EQU        0114h       
LCDDATA6             EQU        0116h       
LCDDATA7             EQU        0117h       
LCDDATA9             EQU        0119h       
LCDDATA10            EQU        011Ah       
LCDSE0               EQU        011Ch       
LCDSE1               EQU        011Dh       
EECON1               EQU        018Ch       
EECON2               EQU        018Dh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
TMR0IE               EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
TMR0IF               EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
EEIF                 EQU        PIR1.7      
ADIF                 EQU        PIR1.6      
RCIF                 EQU        PIR1.5      
TXIF                 EQU        PIR1.4      
SSPIF                EQU        PIR1.3      
CCP1IF               EQU        PIR1.2      
TMR2IF               EQU        PIR1.1      
TMR1IF               EQU        PIR1.0      


;=======================================
;  PIR2 Register BIT Definitions 
;=======================================
OSFIF                EQU        PIR2.7      
C2IF                 EQU        PIR2.6      
C1IF                 EQU        PIR2.5      
LCDIF                EQU        PIR2.4      
LVDIF                EQU        PIR2.2      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
T1GE                 EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
T1INSYNC             EQU        T1CON.2     
T1SYNC               EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  SSPCON Register BIT Definitions 
;=======================================
WCOL                 EQU        SSPCON.7    
SSPOV                EQU        SSPCON.6    
SSPEN                EQU        SSPCON.5    
CKP                  EQU        SSPCON.4    
SSPM3                EQU        SSPCON.3    
SSPM2                EQU        SSPCON.2    
SSPM1                EQU        SSPCON.1    
SSPM0                EQU        SSPCON.0    


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
CCP1X                EQU        CCP1CON.5   
CCP1Y                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  RCSTA Register BIT Definitions 
;=======================================
SPEN                 EQU        RCSTA.7     
RX9                  EQU        RCSTA.6     
RC9                  EQU        RCSTA.6     
NOT_RC8              EQU        RCSTA.6     
RC8_9                EQU        RCSTA.6     
SREN                 EQU        RCSTA.5     
CREN                 EQU        RCSTA.4     
ADDEN                EQU        RCSTA.3     
FERR                 EQU        RCSTA.2     
OERR                 EQU        RCSTA.1     
RX9D                 EQU        RCSTA.0     
RCD8                 EQU        RCSTA.0     


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON0.7    
VCFG1                EQU        ADCON0.6    
VCFG0                EQU        ADCON0.5    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION_REG Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
EEIE                 EQU        PIE1.7      
ADIE                 EQU        PIE1.6      
RCIE                 EQU        PIE1.5      
TXIE                 EQU        PIE1.4      
SSPIE                EQU        PIE1.3      
CCP1IE               EQU        PIE1.2      
TMR2IE               EQU        PIE1.1      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PIE2 Register BIT Definitions 
;=======================================
OSFIE                EQU        PIE2.7      
C2IE                 EQU        PIE2.6      
C1IE                 EQU        PIE2.5      
LCDIE                EQU        PIE2.4      
LVDIE                EQU        PIE2.2      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
SBOREN               EQU        PCON.4      
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  ANSEL Register BIT Definitions 
;=======================================
ANS4                 EQU        ANSEL.4     
AN4                  EQU        ANSEL.4     
ANS3                 EQU        ANSEL.3     
AN3                  EQU        ANSEL.3     
ANS2                 EQU        ANSEL.2     
AN2                  EQU        ANSEL.2     
ANS1                 EQU        ANSEL.1     
AN1                  EQU        ANSEL.1     
ANS0                 EQU        ANSEL.0     
AN0                  EQU        ANSEL.0     


;=======================================
;  SSPSTAT Register BIT Definitions 
;=======================================
SMP                  EQU        SSPSTAT.7   
CKE                  EQU        SSPSTAT.6   
D                    EQU        SSPSTAT.5   
I2C_DATA             EQU        SSPSTAT.5   
NOT_A                EQU        SSPSTAT.5   
NOT_ADDRESS          EQU        SSPSTAT.5   
D_A                  EQU        SSPSTAT.5   
DATA_ADDRESS         EQU        SSPSTAT.5   
P                    EQU        SSPSTAT.4   
I2C_STOP             EQU        SSPSTAT.4   
S                    EQU        SSPSTAT.3   
I2C_START            EQU        SSPSTAT.3   
R                    EQU        SSPSTAT.2   
I2C_READ             EQU        SSPSTAT.2   
NOT_W                EQU        SSPSTAT.2   
NOT_WRITE            EQU        SSPSTAT.2   
R_W                  EQU        SSPSTAT.2   
READ_WRITE           EQU        SSPSTAT.2   
UA                   EQU        SSPSTAT.1   
BF                   EQU        SSPSTAT.0   


;=======================================
;  WPUB Register BIT Definitions 
;=======================================
WPUB7                EQU        WPUB.7      
WPUB6                EQU        WPUB.6      
WPUB5                EQU        WPUB.5      
WPUB4                EQU        WPUB.4      
WPUB3                EQU        WPUB.3      
WPUB2                EQU        WPUB.2      
WPUB1                EQU        WPUB.1      
WPUB0                EQU        WPUB.0      


;=======================================
;  WPU Register BIT Definitions 
;=======================================
WPU7                 EQU        WPU.7       
WPU6                 EQU        WPU.6       
WPU5                 EQU        WPU.5       
WPU4                 EQU        WPU.4       
WPU3                 EQU        WPU.3       
WPU2                 EQU        WPU.2       
WPU1                 EQU        WPU.1       
WPU0                 EQU        WPU.0       


;=======================================
;  IOCB Register BIT Definitions 
;=======================================
IOCB7                EQU        IOCB.7      
IOCB6                EQU        IOCB.6      
IOCB5                EQU        IOCB.5      
IOCB4                EQU        IOCB.4      


;=======================================
;  IOC Register BIT Definitions 
;=======================================
IOC7                 EQU        IOC.7       
IOC6                 EQU        IOC.6       
IOC5                 EQU        IOC.5       
IOC4                 EQU        IOC.4       


;=======================================
;  CMCON1 Register BIT Definitions 
;=======================================
T1GSS                EQU        CMCON1.1    
C2SYNC               EQU        CMCON1.0    


;=======================================
;  TXSTA Register BIT Definitions 
;=======================================
CSRC                 EQU        TXSTA.7     
TX9                  EQU        TXSTA.6     
NOT_TX8              EQU        TXSTA.6     
TX8_9                EQU        TXSTA.6     
TXEN                 EQU        TXSTA.5     
SYNC                 EQU        TXSTA.4     
BRGH                 EQU        TXSTA.2     
TRMT                 EQU        TXSTA.1     
TX9D                 EQU        TXSTA.0     
TXD8                 EQU        TXSTA.0     


;=======================================
;  CMCON0 Register BIT Definitions 
;=======================================
C2OUT                EQU        CMCON0.7    
C1OUT                EQU        CMCON0.6    
C2INV                EQU        CMCON0.5    
C1INV                EQU        CMCON0.4    
CIS                  EQU        CMCON0.3    
CM2                  EQU        CMCON0.2    
CM1                  EQU        CMCON0.1    
CM0                  EQU        CMCON0.0    


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VRR                  EQU        VRCON.5     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
ADCS2                EQU        ADCON1.6    
ADCS1                EQU        ADCON1.5    
ADCS0                EQU        ADCON1.4    


;=======================================
;  WDTCON Register BIT Definitions 
;=======================================
WDTPS3               EQU        WDTCON.4    
WDTPS2               EQU        WDTCON.3    
WDTPS1               EQU        WDTCON.2    
WDTPS0               EQU        WDTCON.1    
SWDTEN               EQU        WDTCON.0    
SWDTE                EQU        WDTCON.0    


;=======================================
;  LCDCON Register BIT Definitions 
;=======================================
LCDEN                EQU        LCDCON.7    
SLPEN                EQU        LCDCON.6    
WERR                 EQU        LCDCON.5    
VLCDEN               EQU        LCDCON.4    
CS1                  EQU        LCDCON.3    
CS0                  EQU        LCDCON.2    
LMUX1                EQU        LCDCON.1    
LMUX0                EQU        LCDCON.0    


;=======================================
;  LCDPS Register BIT Definitions 
;=======================================
WFT                  EQU        LCDPS.7     
BIASMD               EQU        LCDPS.6     
LCDA                 EQU        LCDPS.5     
WA                   EQU        LCDPS.4     
LP3                  EQU        LCDPS.3     
LP2                  EQU        LCDPS.2     
LP1                  EQU        LCDPS.1     
LP0                  EQU        LCDPS.0     


;=======================================
;  LVDCON Register BIT Definitions 
;=======================================
IRVST                EQU        LVDCON.5    
LVDEN                EQU        LVDCON.4    
LVDL2                EQU        LVDCON.2    
LVDL1                EQU        LVDCON.1    
LVDL0                EQU        LVDCON.0    


;=======================================
;  LCDDATA0 Register BIT Definitions 
;=======================================
SEG7COM0             EQU        LCDDATA0.7  
SEG6COM0             EQU        LCDDATA0.6  
SEG5COM0             EQU        LCDDATA0.5  
SEG4COM0             EQU        LCDDATA0.4  
SEG3COM0             EQU        LCDDATA0.3  
SEG2COM0             EQU        LCDDATA0.2  
SEG1COM0             EQU        LCDDATA0.1  
SEG0COM0             EQU        LCDDATA0.0  
S7C0                 EQU        LCDDATA0.7  
S6C0                 EQU        LCDDATA0.6  
S5C0                 EQU        LCDDATA0.5  
S4C0                 EQU        LCDDATA0.4  
S3C0                 EQU        LCDDATA0.3  
S2C0                 EQU        LCDDATA0.2  
S1C0                 EQU        LCDDATA0.1  
S0C0                 EQU        LCDDATA0.0  


;=======================================
;  LCDDATA1 Register BIT Definitions 
;=======================================
SEG15COM0            EQU        LCDDATA1.7  
SEG14COM0            EQU        LCDDATA1.6  
SEG13COM0            EQU        LCDDATA1.5  
SEG12COM0            EQU        LCDDATA1.4  
SEG11COM0            EQU        LCDDATA1.3  
SEG10COM0            EQU        LCDDATA1.2  
SEG9COM0             EQU        LCDDATA1.1  
SEG8COM0             EQU        LCDDATA1.0  
S15C0                EQU        LCDDATA1.7  
S14C0                EQU        LCDDATA1.6  
S13C0                EQU        LCDDATA1.5  
S12C0                EQU        LCDDATA1.4  
S11C0                EQU        LCDDATA1.3  
S10C0                EQU        LCDDATA1.2  
S9C0                 EQU        LCDDATA1.1  
S8C0                 EQU        LCDDATA1.0  


;=======================================
;  LCDDATA3 Register BIT Definitions 
;=======================================
SEG7COM1             EQU        LCDDATA3.7  
SEG6COM1             EQU        LCDDATA3.6  
SEG5COM1             EQU        LCDDATA3.5  
SEG4COM1             EQU        LCDDATA3.4  
SEG3COM1             EQU        LCDDATA3.3  
SEG2COM1             EQU        LCDDATA3.2  
SEG1COM1             EQU        LCDDATA3.1  
SEG0COM1             EQU        LCDDATA3.0  
S7C1                 EQU        LCDDATA3.7  
S6C1                 EQU        LCDDATA3.6  
S5C1                 EQU        LCDDATA3.5  
S4C1                 EQU        LCDDATA3.4  
S3C1                 EQU        LCDDATA3.3  
S2C1                 EQU        LCDDATA3.2  
S1C1                 EQU        LCDDATA3.1  
S0C1                 EQU        LCDDATA3.0  


;=======================================
;  LCDDATA4 Register BIT Definitions 
;=======================================
SEG15COM1            EQU        LCDDATA4.7  
SEG14COM1            EQU        LCDDATA4.6  
SEG13COM1            EQU        LCDDATA4.5  
SEG12COM1            EQU        LCDDATA4.4  
SEG11COM1            EQU        LCDDATA4.3  
SEG10COM1            EQU        LCDDATA4.2  
SEG9COM1             EQU        LCDDATA4.1  
SEG8COM1             EQU        LCDDATA4.0  
S15C1                EQU        LCDDATA4.7  
S14C1                EQU        LCDDATA4.6  
S13C1                EQU        LCDDATA4.5  
S12C1                EQU        LCDDATA4.4  
S11C1                EQU        LCDDATA4.3  
S10C1                EQU        LCDDATA4.2  
S9C1                 EQU        LCDDATA4.1  
S8C1                 EQU        LCDDATA4.0  


;=======================================
;  LCDDATA6 Register BIT Definitions 
;=======================================
SEG7COM2             EQU        LCDDATA6.7  
SEG6COM2             EQU        LCDDATA6.6  
SEG5COM2             EQU        LCDDATA6.5  
SEG4COM2             EQU        LCDDATA6.4  
SEG3COM2             EQU        LCDDATA6.3  
SEG2COM2             EQU        LCDDATA6.2  
SEG1COM2             EQU        LCDDATA6.1  
SEG0COM2             EQU        LCDDATA6.0  
S7C2                 EQU        LCDDATA6.7  
S6C2                 EQU        LCDDATA6.6  
S5C2                 EQU        LCDDATA6.5  
S4C2                 EQU        LCDDATA6.4  
S3C2                 EQU        LCDDATA6.3  
S2C2                 EQU        LCDDATA6.2  
S1C2                 EQU        LCDDATA6.1  
S0C2                 EQU        LCDDATA6.0  


;=======================================
;  LCDDATA7 Register BIT Definitions 
;=======================================
SEG15COM2            EQU        LCDDATA7.7  
SEG14COM2            EQU        LCDDATA7.6  
SEG13COM2            EQU        LCDDATA7.5  
SEG12COM2            EQU        LCDDATA7.4  
SEG11COM2            EQU        LCDDATA7.3  
SEG10COM2            EQU        LCDDATA7.2  
SEG9COM2             EQU        LCDDATA7.1  
SEG8COM2             EQU        LCDDATA7.0  
S15C2                EQU        LCDDATA7.7  
S14C2                EQU        LCDDATA7.6  
S13C2                EQU        LCDDATA7.5  
S12C2                EQU        LCDDATA7.4  
S11C2                EQU        LCDDATA7.3  
S10C2                EQU        LCDDATA7.2  
S9C2                 EQU        LCDDATA7.1  
S8C2                 EQU        LCDDATA7.0  


;=======================================
;  LCDDATA9 Register BIT Definitions 
;=======================================
SEG7COM3             EQU        LCDDATA9.7  
SEG6COM3             EQU        LCDDATA9.6  
SEG5COM3             EQU        LCDDATA9.5  
SEG4COM3             EQU        LCDDATA9.4  
SEG3COM3             EQU        LCDDATA9.3  
SEG2COM3             EQU        LCDDATA9.2  
SEG1COM3             EQU        LCDDATA9.1  
SEG0COM3             EQU        LCDDATA9.0  
S7C3                 EQU        LCDDATA9.7  
S6C3                 EQU        LCDDATA9.6  
S5C3                 EQU        LCDDATA9.5  
S4C3                 EQU        LCDDATA9.4  
S3C3                 EQU        LCDDATA9.3  
S2C3                 EQU        LCDDATA9.2  
S1C3                 EQU        LCDDATA9.1  
S0C3                 EQU        LCDDATA9.0  


;=======================================
;  LCDDATA10 Register BIT Definitions 
;=======================================
SEG15COM3            EQU        LCDDATA10.7 
SEG14COM3            EQU        LCDDATA10.6 
SEG13COM3            EQU        LCDDATA10.5 
SEG12COM3            EQU        LCDDATA10.4 
SEG11COM3            EQU        LCDDATA10.3 
SEG10COM3            EQU        LCDDATA10.2 
SEG9COM3             EQU        LCDDATA10.1 
SEG8COM3             EQU        LCDDATA10.0 
S15C3                EQU        LCDDATA10.7 
S14C3                EQU        LCDDATA10.6 
S13C3                EQU        LCDDATA10.5 
S12C3                EQU        LCDDATA10.4 
S11C3                EQU        LCDDATA10.3 
S10C3                EQU        LCDDATA10.2 
S9C3                 EQU        LCDDATA10.1 
S8C3                 EQU        LCDDATA10.0 


;=======================================
;  LCDSE0 Register BIT Definitions 
;=======================================
SE7                  EQU        LCDSE0.7    
SE6                  EQU        LCDSE0.6    
SE5                  EQU        LCDSE0.5    
SE4                  EQU        LCDSE0.4    
SE3                  EQU        LCDSE0.3    
SE2                  EQU        LCDSE0.2    
SE1                  EQU        LCDSE0.1    
SE0                  EQU        LCDSE0.0    
SEGEN7               EQU        LCDSE0.7    
SEGEN6               EQU        LCDSE0.6    
SEGEN5               EQU        LCDSE0.5    
SEGEN4               EQU        LCDSE0.4    
SEGEN3               EQU        LCDSE0.3    
SEGEN2               EQU        LCDSE0.2    
SEGEN1               EQU        LCDSE0.1    
SEGEN0               EQU        LCDSE0.0    


;=======================================
;  LCDSE1 Register BIT Definitions 
;=======================================
SE15                 EQU        LCDSE1.7    
SE14                 EQU        LCDSE1.6    
SE13                 EQU        LCDSE1.5    
SE12                 EQU        LCDSE1.4    
SE11                 EQU        LCDSE1.3    
SE10                 EQU        LCDSE1.2    
SE9                  EQU        LCDSE1.1    
SE8                  EQU        LCDSE1.0    
SEGEN15              EQU        LCDSE1.7    
SEGEN14              EQU        LCDSE1.6    
SEGEN13              EQU        LCDSE1.5    
SEGEN12              EQU        LCDSE1.4    
SEGEN11              EQU        LCDSE1.3    
SEGEN10              EQU        LCDSE1.2    
SEGEN9               EQU        LCDSE1.1    
SEGEN8               EQU        LCDSE1.0    


;=======================================
;  EECON1 Register BIT Definitions 
;=======================================
EEPGD                EQU        EECON1.7    
WRERR                EQU        EECON1.3    
WREN                 EQU        EECON1.2    
WR                   EQU        EECON1.1    
EEWR                 EQU        EECON1.1    
RD                   EQU        EECON1.0    
EERD                 EQU        EECON1.0    


;=======================================
;  EEADRH Register BIT Definitions 
;=======================================
EEADRH4              EQU        EEADRH.4    
EEADRH3              EQU        EEADRH.3    
EEADRH2              EQU        EEADRH.2    
EEADRH1              EQU        EEADRH.1    
EEADRH0              EQU        EEADRH.0    


;=======================================
;  EEADRL Register BIT Definitions 
;=======================================
EEADRL7              EQU        EEADRL.7    
EEADRL6              EQU        EEADRL.6    
EEADRL5              EQU        EEADRL.5    
EEADRL4              EQU        EEADRL.4    
EEADRL3              EQU        EEADRL.3    
EEADRL2              EQU        EEADRL.2    
EEADRL1              EQU        EEADRL.1    
EEADRL0              EQU        EEADRL.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
;_CONFIG             EQU        2007h       
_DEBUG_ON            EQU        2FFFh       
_DEBUG_OFF           EQU        3FFFh       
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOD_ON              EQU        3FFFh       
_BOD_NSLEEP          EQU        3EFFh       
_BOD_SBODEN          EQU        3DFFh       
_BOD_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_ON            EQU        3FEFh       
_PWRTE_OFF           EQU        3FFFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_INTOSCIO            EQU        3FFCh       
_INTOSC              EQU        3FFDh       
_EXTRCIO             EQU        3FFEh       
_EXTRC               EQU        3FFFh       
