;=======================================
;  CVASM16 INCLUDE FILE for the 16HV616
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0H616h      
                     ROMSIZE    2048        
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
CCPR1L               EQU        0013h       
CCPR1H               EQU        0014h       
CCP1CON              EQU        0015h       
PWM1CON              EQU        0016h       
ECCPAS               EQU        0017h       
VRCON                EQU        0019h       
CM1CON0              EQU        001Ah       
CM2CON0              EQU        001Bh       
CM2CON1              EQU        001Ch       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISC                EQU        0087h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
OSCTUNE              EQU        0090h       
ANSEL                EQU        0091h       
PR2                  EQU        0092h       
WPU                  EQU        0095h       
WPUA                 EQU        0095h       
IOC                  EQU        0096h       
IOCA                 EQU        0096h       
SRCON                EQU        0099h       
SRCON0               EQU        0099h       
SRCON1               EQU        009Ah       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RAIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RAIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      
CCP1IF               EQU        PIR1.5      
C2IF                 EQU        PIR1.4      
C1IF                 EQU        PIR1.3      
T2IF                 EQU        PIR1.1      
TMR2IF               EQU        PIR1.1      
T1IF                 EQU        PIR1.0      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
P1M1                 EQU        CCP1CON.7   
P1M0                 EQU        CCP1CON.6   
DC1B1                EQU        CCP1CON.5   
DC1B0                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  PWM1CON Register BIT Definitions 
;=======================================
PRSEN                EQU        PWM1CON.7   
PDC6                 EQU        PWM1CON.6   
PDC5                 EQU        PWM1CON.5   
PDC4                 EQU        PWM1CON.4   
PDC3                 EQU        PWM1CON.3   
PDC2                 EQU        PWM1CON.2   
PDC1                 EQU        PWM1CON.1   
PDC0                 EQU        PWM1CON.0   


;=======================================
;  ECCPAS Register BIT Definitions 
;=======================================
ECCPASE              EQU        ECCPAS.7    
ECCPAS2              EQU        ECCPAS.6    
ECCPAS1              EQU        ECCPAS.5    
ECCPAS0              EQU        ECCPAS.4    
PSSAC1               EQU        ECCPAS.3    
PSSAC0               EQU        ECCPAS.2    
PSSBD1               EQU        ECCPAS.1    
PSSBD0               EQU        ECCPAS.0    


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
C1VREN               EQU        VRCON.7     
C2VREN               EQU        VRCON.6     
VRR                  EQU        VRCON.5     
VP6EN                EQU        VRCON.4     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1ON                 EQU        CM1CON0.7   
C1OUT                EQU        CM1CON0.6   
C1OE                 EQU        CM1CON0.5   
C1POL                EQU        CM1CON0.4   
C1R                  EQU        CM1CON0.2   
C1CH1                EQU        CM1CON0.1   
C1CH0                EQU        CM1CON0.0   


;=======================================
;  CM2CON0 Register BIT Definitions 
;=======================================
C2ON                 EQU        CM2CON0.7   
C2OUT                EQU        CM2CON0.6   
C2OE                 EQU        CM2CON0.5   
C2POL                EQU        CM2CON0.4   
C2R                  EQU        CM2CON0.2   
C2CH1                EQU        CM2CON0.1   
C2CH0                EQU        CM2CON0.0   


;=======================================
;  CM2CON1 Register BIT Definitions 
;=======================================
MC1OUT               EQU        CM2CON1.7   
MC2OUT               EQU        CM2CON1.6   
T1ACS                EQU        CM2CON1.4   
C1HYS                EQU        CM2CON1.3   
C2HYS                EQU        CM2CON1.2   
T1GSS                EQU        CM2CON1.1   
C2SYNC               EQU        CM2CON1.0   


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON0.7    
VCFG                 EQU        ADCON0.6    
CHS3                 EQU        ADCON0.5    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RAPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      
CCP1IE               EQU        PIE1.5      
C2IE                 EQU        PIE1.4      
C1IE                 EQU        PIE1.3      
T2IE                 EQU        PIE1.1      
TMR2IE               EQU        PIE1.1      
T1IE                 EQU        PIE1.0      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
NOT_POR              EQU        PCON.1      
NOT_BOD              EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  ANSEL Register BIT Definitions 
;=======================================
ANS7                 EQU        ANSEL.7     
ANS6                 EQU        ANSEL.6     
ANS5                 EQU        ANSEL.5     
ANS4                 EQU        ANSEL.4     
ANS3                 EQU        ANSEL.3     
ANS2                 EQU        ANSEL.2     
ANS1                 EQU        ANSEL.1     
ANS0                 EQU        ANSEL.0     


;=======================================
;  WPU Register BIT Definitions 
;=======================================
WPU5                 EQU        WPU.5       
WPU4                 EQU        WPU.4       
WPU2                 EQU        WPU.2       
WPU1                 EQU        WPU.1       
WPU0                 EQU        WPU.0       


;=======================================
;  WPUA Register BIT Definitions 
;=======================================
WPUA5                EQU        WPUA.5      
WPUA4                EQU        WPUA.4      
WPUA2                EQU        WPUA.2      
WPUA1                EQU        WPUA.1      
WPUA0                EQU        WPUA.0      


;=======================================
;  IOC Register BIT Definitions 
;=======================================
IOC5                 EQU        IOC.5       
IOC4                 EQU        IOC.4       
IOC3                 EQU        IOC.3       
IOC2                 EQU        IOC.2       
IOC1                 EQU        IOC.1       
IOC0                 EQU        IOC.0       


;=======================================
;  IOCA Register BIT Definitions 
;=======================================
IOCA5                EQU        IOCA.5      
IOCA4                EQU        IOCA.4      
IOCA3                EQU        IOCA.3      
IOCA2                EQU        IOCA.2      
IOCA1                EQU        IOCA.1      
IOCA0                EQU        IOCA.0      


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_BOR_ON              EQU        3FFFh       
_BOR_NSLEEP          EQU        3EFFh       
_BOR_OFF             EQU        3CFFh       
_IOSCFS_8MHZ         EQU        3FFFh       
_IOSCFS_4MHZ         EQU        3F7Fh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_INTOSCIO            EQU        3FFCh       
_INTOSC              EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_EXTRCIO             EQU        3FFEh       
_EXTRC               EQU        3FFFh       
